using System.Collections.Generic;
using CncModels.Entity;

namespace CncRepository.Interface
{
    /// <summary>
    /// cnc_screen_filter 大屏筛选配置表 仓储接口
    /// </summary>
    public interface IScreenFilterRepository
    {
        List<ScreenFilter> GetByScreenKey(string screenKey);
        int Create(ScreenFilter entity);
        bool Update(ScreenFilter entity);
        bool Delete(int id);
    }
}
